Skip to Content
New release 12 available 🎉
API ReferenceProduct ReleasesRelease License Templates

Release License Templates

GET/v1/products/{productId}/releases/{releaseId}/license-templatesGET /v1/products/{productId}/releases/{releaseId}/license-templates

Code samples

# You can also use wget curl -X GET /v1/products/{productId}/releases/{releaseId}/license-templates \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/products/\{productId\}/releases/\{releaseId\}/license-templates

Gets the license templates of a product release.

Parameters

NameInTypeRequiredDescription
productIdpathinteger(int32)trueThe product ID.
releaseIdpathinteger(int32)trueThe release ID.
selectquerystringfalsenone
filterquerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","licenseTemplates":[{"id":0,"name":"string","code":"string","licenseType":"string","format":0,"licensingMode":0,"licenseFileName":"string","issueDate":true,"expireDays":0,"supportDays":0,"generateKeyInfo":true,"userKey":"string","description":"string","template":"string","productId":0,"signatureKeysId":0,"releaseId":0,"product":{"id":"string","name":"string","version":"string","copyright":"string","url":"string","description":"string"},"components":["string"],"assemblies":[{"id":0,"name":"string","version":"string","culture":"string","publicKeyToken":"string","mappingFileId":0,"debugSymbolsKey":"string"}],"fields":[{"name":"string","value":"string"}],"features":[{"id":"string","name":"string","description":"string","expireDate":"2019-08-24T14:15:22Z","key":"string","data":"string"}],"restrictions":[{"id":"string","name":"string","expireDate":"2019-08-24T14:15:22Z","properties":{"property1":"string","property2":"string"},"customXmlContent":"string"}]}],"totalLicenseTemplatesCount":0}
{ "success": true, "code": 0, "message": "string", "licenseTemplates": [ { "id": 0, "name": "string", "code": "string", "licenseType": "string", "format": 0, "licensingMode": 0, "licenseFileName": "string", "issueDate": true, "expireDays": 0, "supportDays": 0, "generateKeyInfo": true, "userKey": "string", "description": "string", "template": "string", "productId": 0, "signatureKeysId": 0, "releaseId": 0, "product": { "id": "string", "name": "string", "version": "string", "copyright": "string", "url": "string", "description": "string" }, "components": [ "string" ], "assemblies": [ { "id": 0, "name": "string", "version": "string", "culture": "string", "publicKeyToken": "string", "mappingFileId": 0, "debugSymbolsKey": "string" } ], "fields": [ { "name": "string", "value": "string" } ], "features": [ { "id": "string", "name": "string", "description": "string", "expireDate": "2019-08-24T14:15:22Z", "key": "string", "data": "string" } ], "restrictions": [ { "id": "string", "name": "string", "expireDate": "2019-08-24T14:15:22Z", "properties": { "property1": "string", "property2": "string" }, "customXmlContent": "string" } ] } ], "totalLicenseTemplatesCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetProductReleaseLicenseTemplatesResponse

Authentication: API key (x-api-key).

Last updated on